Bug 207174 - Review Request: whatmask - Convert between different netmask types and show information
Review Request: whatmask - Convert between different netmask types and show i...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-19 16:11 EDT by Tim Jackson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-23 17:36:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tim Jackson 2006-09-19 16:11:44 EDT
Spec URL: http://www.timj.co.uk/linux/specs/whatmask.spec
SRPM URL: http://www.timj.co.uk/linux/srpms/whatmask-1.2-3.src.rpm
Description: 
Whatmask is a small program that can analyze CIDR, netmask, netmask (hex),
and wildcard bit notations to give useful information about a given network
block in question. It is similar to ipcalc, but provides an easier-to-use
interface.
Comment 1 Dan Horák 2006-09-19 16:27:19 EDT
Could you start with release 1? There is nothing before 3 in the changelog ;-)
Comment 2 Tim Jackson 2006-09-19 16:37:05 EDT
I'd rather not if possible, because I've already maintained private repos with
releases <=2. I can make up some fake changelog entries if it helps, but I
figured that was pretty pointless, and the ones that were there were meaningless
in the context of a freshly-written spec file.

NB rpmlint is quiet on src, i386 and debuginfo. Builds fine in FC5 i386 mock.
Comment 3 Dan Horák 2006-09-20 03:13:11 EDT
OK, then you could put a note in the changelog for 1.2-3 - something like
"derived from private version 1.2-2"


Review:
- no rpmlint output on any package
- package name OK
- spec file name OK, is in English and is legible
- package meets the Packaging Guidelines
- license OK (GPL) and is included
- source matches upstream
	26aeff74dbba70262ccd426e681dcf4a  whatmask-1.2.tar.gz
	26aeff74dbba70262ccd426e681dcf4a  whatmask-1.2.tar.gz.1
- compiles and builds at least on i386 (devel)
- no BuildRequires needed
- no localized files
- has no shared lib
- do not create any directory
- no duplicates files, permissions are set properly, uses %defattr
- has %clean section
- consistent use of macros
- contains code
- no large docs, %doc is not required during runtime
- no devel subpackage required, no pkgconfig file
- no .la libtool archives
- not a GUI application
- it works

APPROVED
Comment 4 Tim Jackson 2006-09-23 17:36:31 EDT
Thanks for the review and comments. Built successfully in devel (job #18275)
Comment 5 Tim Jackson 2007-04-14 19:23:49 EDT
Package Change Request
======================
Package Name: whatmask
New Branches: EL-4 EL-5

Note You need to log in before you can comment on or make changes to this bug.